%define name 	ardour 
%define version	0.99.3
%define release	%mkrel 3

%define major	0
%define libname %mklibname %name %major

Summary:   	Professional multitrack audio recording application
Name: 	   	%{name}
Version:   	%{version}
Release:   	%{release}
Epoch:		1
Source0:   	http://ardour.org/releases/%{name}-%{version}.tar.bz2
Source3:   	manual.pdf.bz2
# extra documentation from the Ardour Documentation Project
Source4:   	%{name}-documentation.tar.bz2
Source5:   	%{name}16.png
Source6:   	%{name}32.png
Source7:   	%{name}48.png
Source8:	ardour-launch.sh.bz2
URL:       	http://%{name}.sourceforge.net/
Group:     	Sound
License:   	GPL
BuildRoot: 	%{_tmppath}/%{name}-buildroot

BuildRequires:	scons
BuildRequires: 	libalsa-devel gdbm-devel gtk+-devel
BuildRequires:	jackit-devel >= 0.80.0
BuildRequires:	libsndfile-devel libsamplerate-devel ladspa-devel
BuildRequires: 	autoconf2.5 flex bison
BuildRequires: 	gettext-devel pkgconfig
# will need when manual returns
#BuildRequires: tetex-latex tetex-dvips
BuildRequires:	ncurses-devel curl-devel
BuildRequires:	liblrdf-devel raptor-devel
BuildRequires:  libart_lgpl-devel
Requires:	jackit >= 0.80.0
Requires:	qjackctl

%description
Ardour is a multichannel hard disk recorder. It is capable of recording 24
or more channels of 32 bit audio at 48kHz. Ardour is intended to function
as a "professional" HDR system, replacing dedicated hardware solutions such
as the Mackie HDR, the Tascan 2424 and more traditional tape systems like
the Alesis ADAT series. It supports MIDI Machine Control, and so can be
controlled from any MMC controller, such as the Mackie Digital 8 Bus mixer
and many other modern digital mixers.

Ardour-KSI is a curses-based interface to Ardour.

You MUST have jackd running and an ALSA sound driver to use ardour.

%prep
%setup -q -n %{name}-%{version} -a 4
bzcat %SOURCE3 > manual.pdf

%build
scons PREFIX=%{_prefix} KSI=1 DIST_TARGET=none

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
scons DESTDIR=$RPM_BUILD_ROOT install 

#rm $RPM_BUILD_ROOT/%_bindir/ksi
#mv $RPM_BUILD_ROOT/%_libdir/ardour/ksix $RPM_BUILD_ROOT/%_bindir/ardour-ksi
#rm -f $RPM_BUILD_ROOT/%_datadir/ardour/libardour.*
mv $RPM_BUILD_ROOT/%_bindir/%{name} $RPM_BUILD_ROOT/%_bindir/%{name}x
bzcat %SOURCE8 > $RPM_BUILD_ROOT/%_bindir/%{name}
chmod 755 $RPM_BUILD_ROOT/%_bindir/%{name}
rm -f $RPM_BUILD_ROOT/%_datadir/locale/*/*/libgtkmmext.mo

# Mandrake Menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
needs="x11" \
section="Multimedia/Sound" \
title="Ardour" \
longtitle="Digital Audio Workstation" \
command="/usr/bin/%{name}" \
icon="%{name}.png" \
xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Ardour
Comment=%{summary}
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=GTK;AudioVideo;Audio;AudioVideoEditing;X-MandrivaLinux-Multimedia-Sound;
Encoding=UTF-8
EOF

# icons
mkdir -p $RPM_BUILD_ROOT%{_miconsdir} $RPM_BUILD_ROOT%{_liconsdir} $RPM_BUILD_ROOT%{_iconsdir}
cat %{SOURCE5} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
cat %{SOURCE6} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
cat %{SOURCE7} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

# locales
%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{name}
%{update_menus}

%postun -n %{name}
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc DOCUMENTATION/{AUTHORS*,CONTRIBUTORS*,FAQ*,README*,TRANSLATORS*}
%doc manual.pdf
%doc %{name}-documentation
%{_bindir}/%{name}
%{_bindir}/%{name}x
%dir %_sysconfdir/%{name}
%config(noreplace) %_sysconfdir/%{name}/%{name}.rc
%config(noreplace) %_sysconfdir/%{name}/%{name}_system.rc
%config(noreplace) %_sysconfdir/%{name}/%{name}_ui.rc
%_datadir/%{name}
%_datadir/applications/mandriva-%{name}.desktop
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/*


%changelog
* Tue Jan 16 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.99.3-3mdv2007.0
+ Revision: 109489
- Rebuild against new curl
- Import ardour



* Thu Aug 17 2006 Emmanuel Andry <eandry@mandriva.org> 0.99.3-2mdv2007.0
- xdg menu
- fix description

* Thu May 18 2006 Austin Acton <austin@mandriva.org> 0.99.3-1mdk
- 0.99.3

* Sat Apr 29 2006 Emmanuel Blindauer <blindauer@mandriva.org> 0.99.2-2mdk
- Fix build on ppc

* Sun Feb 26 2006 Austin Acton <austin@mandriva.org> 0.99.2-1mdk
- 0.99.2

* Thu Nov 03 2005 Pascal Terjan <pterjan@mandriva.org> 0.99-1mdk
- 0.99
- Now uses scons instead of make
- Do not build text interface as ardour_ksi/ is not included in 0.99 tarball

* Wed Mar 16 2005 Austin Acton <austin@mandrake.org> 0.9-0.beta28.1mdk
- 0.9beta28
- source URL

* Sat Jan 29 2005 Austin Acton <austin@mandrake.org> 0.9-0.beta24.1mdk
- 0.9beta24

* Thu Dec 30 2004 Austin Acton <austin@mandrake.org> 0.9-0.beta22.1mdk
- 0.9beta22
- configure 2.5

* Sun Dec 12 2004 Austin Acton <austin@mandrake.org> 0.9-0.beta19.1mdk
- 0.9beta19

* Tue Feb 17 2004 Austin Acton <austin@mandrake.org> 0.9-0.beta10.2.1mdk
- 0.9beta10.2

* Fri Jan 23 2004 Austin Acton <austin@mandrake.org> 0.9-0.beta9.1.1mdk
- 0.9beta9.1
- update menual
- fix buildrequires for lib64

* Thu Nov 6 2003 Austin Acton <aacton@yorku.ca> 0.9-0.beta8.1mdk
- 0.9beta8
- require jack with transport

* Sun Sep 14 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.9-0.beta3.3mdk
- BuildRequires libart_lgpl-devel

* Thu Sep 11 2003 Austin Acton <aacton@yorku.ca> 0.9-0.beta3.2mdk
- added a script to detect jack, and help user to start it
- rebuild for new raptor

* Sun Aug 17 2003 Austin Acton <aacton@yorku.ca> 0.9-0.beta3.1mdk
- 0.9 beta3

* Tue Aug 5 2003 Austin Acton <aacton@yorku.ca> 0.9-0.beta2.3mdk
- DIRM
- buildrequires libcurl-devel
- previous entry should read 'epoch 1 again'

* Wed Jul 16 2003 Austin Acton <aacton@yorku.ca> 0.9-0.beta2.2mdk
- grrr, epoch 2 again

* Thu Jul 3 2003 Austin Acton <aacton@yorku.ca> 0.9-0.beta2.1mdk
- 0.9 beta2
- rename ksi so not to conflict with other ksi

* Fri Jun 27 2003 Austin Acton <aacton@yorku.ca> 0.9-0.beta1.1mdk
- 0.9 beta1
- drop wrappers, pixmaps package, library, includes
- add ksi package
- use build macros
- include old version of manual (where did it go?)
- own datadir and includedir

* Wed Jun 4 2003 Austin Acton <aacton@yorku.ca> 0.669.0-0.20030604.1mdk
- new snapshot
- findlang
- new pixmaps

* Tue May 13 2003 Austin Acton <aacton@yorku.ca> 0.660.0-0.20030514.1mdk
- new snapshot
- use mklibname
- use ~/tape1:~/tape2 not /tape1:/tape2
- use ~/.ardour.rc not ~/ardour.rc

* Tue May 6 2003 Austin Acton <aacton@yorku.ca> 0.656.2-0.20030511.1mdk
- new snapshot
- woraround for silly version.sh script
- exclude ksi for now (separate package later)
- bzip scripts

* Mon Mar 17 2003 Austin Acton <aacton@yorku.ca> 0.641.6-0.20030317.1mdk
- bugfix snapshot

* Sun Mar 2 2003 Austin Acton <aacton@yorku.ca> 0.641.2-0.20030302.1mdk
- latest cvs snapshot
- run autogen.sh before tarballing to save Lenny a headache

* Wed Feb 19 2003 Austin Acton <aacton@yorku.ca> 0.640.0-0.20030219.1mdk
- export ladspa path
- tape macros (wanted ~/tape1:~/tape2, but ardour can't resolve "~")
- new cvs snapshot
- add more buildrequires (raptor, gettext-devel)

* Wed Feb 5 2003 Austin Acton <aacton@yorku.ca> 0.623.0-0.20030210.1mdk
- use parts of specfile from Torbjorn Turpeinen <tobbe@nyvalls.se>
- Mandrakize, de-lint, simplify, and update for Mandrake 9.1
